<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Contests</title>

    <script defer type="text/javascript" th:src="@{/phaseTime.js}"></script>
    <!-- Favicon-->
    <link rel="icon" type="image/x-icon" href="assets/favicon.ico"/>
    <!-- Font Awesome icons (free version)-->
    <script src="https://use.fontawesome.com/releases/v6.1.0/js/all.js" crossorigin="anonymous"></script>
    <!-- Google fonts-->
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css"/>
    <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet"
          type="text/css"/>
    <!-- Core theme CSS (includes Bootstrap)-->
    <link href="../static/styles.css" rel="stylesheet" th:href="@{/styles.css}"/>
</head>
<body>
<!--Navigation-->
<nav th:replace="/fragments/navbar-form.html :: navbar"></nav>
<br/><br/><br/><br/>
<br/>
<br/>
<!--Create contest -> Organizers-->
<div class="page-section-heading text-center" th:if="${currentUser.isOrganizer()}">
    <a href="#" th:href="@{/contests/new}">
        <button type="button" class="btn btn-outline-secondary">Create Contest</button>
    </a>
    <a href="#" th:href="@{/users}">
        <button type="button" class="btn btn-outline-secondary">Users</button>
    </a>
    <br/>
    <br/>
    <form action="#" th:action="@{/contests/search}" th:object="${searchContestDTO}" method="post"
          style="color: #ffffff" th:if="${currentUser.isOrganizer()}">
        <input type="text" class="search-input-field" th:field="*{title}" placeholder="Title"/>
        <li class="list-inline-item">
            <select th:field="*{category}" class="form-select">
                <option selected th:value="null">Select Category</option>
                <option th:each="category : ${categories}"
                        th:value="${category.getId()}"
                        th:text="${category.getName()}">
                </option>
            </select>
        </li>
        <li class="list-inline-item">
            <select th:field="*{phase}" class="form-select">
                <option selected th:value="null">Select Phase</option>
                <option th:each="phase : ${phases}"
                        th:value="${phase.getId()}"
                        th:text="${phase.getPhase()}">
                </option>
            </select>
        </li>
        <br/>
        <br/>
        <li class="list-inline-item">
            <select th:field="*{sort}" class="form-select">
                <option selected th:value="null"> Not ordered</option>
                <option th:each="option : ${sortContestOptions}"
                        th:value="${option.getPreview()}"
                        th:text="${option.getPreview()}">
                </option>
            </select>
        </li>
        <label class="error" th:errors="*{sort}">Sort error placeholder</label>

        <button type="submit" value="Search" class="btn btn-outline-secondary">Search</button>
    </form>
</div>

<section class="page-section portfolio" id="portfolio" th:if="${currentUser.isOrganizer()}">
    <!--    <a th:href="@{/order/details(id=${order.id},action=(${user.admin} ? 'show_all' : 'show_public'))}">-->
    <!--    For Organizers - All Contests-->
    <div class="container" th:if="${currentUser.isOrganizer()}">
        <!-- Portfolio Section Heading-->
        <h2 class="page-section-heading text-center text-uppercase text-secondary mb-0">Contests</h2>
        <div class="divider-custom">
            <div class="divider-custom-line"></div>
            <div class="divider-custom-icon"><i class="fas fa-star"></i></div>
            <div class="divider-custom-line"></div>
        </div>
    </div>
    <div class="row justify-content-center">
        <!-- Portfolio Item 1-->
        <div th:if="${currentUser.isOrganizer()}" class="col-md-6 col-lg-3 mb-5" th:each="contest : ${contests}">
            <div class="img-frame">
                <a th:href="@{/contests/{id}(id=${contest.getId()})}">
                    <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                         data-bs-target="#portfolioModal1">
                        <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">
                            <div class="portfolio-item-caption-content text-center text-white">
                                <i th:text="*{contest.title}"></i>
                                <br/>
                                <p class="demo" th:if="${contest.getTimeLimit()} != null"
                                   th:attr="data-endtime = ${contest.getTimeLimit()}"></p>
                                <p th:unless="${contest.getTimeLimit()} != null"></p>
                            </div>
                        </div>
                        <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                             alt="..."/>
                    </div>
                </a>
            </div>
            <div style="margin-top: 10px">
                <i th:text="*{contest.phase.phase}"></i>
                <a th:href="@{/contests/{id}/delete(id=${contest.getId()})}" th:if="${currentUser.isOrganizer()}">
                    <button class="btn btn-cancel" type="submit">
                        <i class="fas fa-trash"></i>
                    </button>
                </a>
                <a th:href="@{/contests/{id}/update(id=${contest.id})}">
                    <button th:if="${currentUser.isOrganizer()}" class="btn btn-cancel" type="button">
                        <i class="fas fa-pen-alt"></i>
                    </button>
                </a>
            </div>
        </div>
    </div>
</section>
<section class="page-section portfolio" id="portfolio" th:unless="${currentUser.isOrganizer()}">
    <section class="page-section portfolio" id="portfolio"
             th:if="${!currentUser.getPhase1And2Jury().isEmpty()}">
        <!--    <a th:href="@{/order/details(id=${order.id},action=(${user.admin} ? 'show_all' : 'show_public'))}">-->
        <!--    For Organizers - All Contests-->
        <div class="container">
            <!-- Portfolio Section Heading-->
            <h2 class="page-section-heading text-center text-uppercase text-secondary mb-0">Rate</h2>
            <div class="divider-custom">
                <div class="divider-custom-line"></div>
                <div class="divider-custom-icon"><i class="fas fa-star"></i></div>
                <div class="divider-custom-line"></div>
            </div>
        </div>
        <div class="row justify-content-center">
            <!-- Portfolio Item 1-->
            <div class="col-md-6 col-lg-3 mb-5" th:each="contest : ${currentUser.getJury()}">
                <div class="img-frame" style="margin-bottom: 10px">
                    <a th:href="@{/contests/{id}(id=${contest.getId()})}">
                        <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                             data-bs-target="#portfolioModal1">
                            <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">
                                <div class="portfolio-item-caption-content text-center text-white">
                                    <i th:text="*{contest.title}"></i>
                                    <br/>
                                    <p class="demo" th:if="${contest.getTimeLimit()} != null"
                                       th:attr="data-endtime = ${contest.getTimeLimit()}"></p>
                                    <p th:unless="${contest.getTimeLimit()} != null"></p>
                                </div>
                            </div>
                            <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                                 alt="..."/>
                        </div>
                    </a>
                </div>
                <div>
                    <i th:text="*{contest.phase.phase}"></i>
                </div>
            </div>
        </div>
        <hr class="my-4"/>
    </section>

    <section class="page-section portfolio" id="portfolio" th:unless="${currentUser.isOrganizer()}">
        <!--        Open Contests for Users-->
        <div class="container" th:unless="${currentUser.isOrganizer()}">
            <!-- Portfolio Section Heading-->
            <h2 class="text-center text-uppercase text-secondary mb-0">Open Contests</h2>
            <div class="divider-custom">
                <div class="divider-custom-line"></div>
                <div class="divider-custom-icon"><i class="fas fa-star"></i></div>
                <div class="divider-custom-line"></div>
            </div>
        </div>
        <div th:if="${openContests.isEmpty() ||
     currentUser.getJury().contains(openContests.get(0)) &&
      openContests.size() == 1}">
            <br/>
            <h2 class=" text-center text-uppercase text-secondary mb-0">Sorry</h2>
            <br/>
            <h3 class=" text-center mb-0">No open contests right now</h3>
            <br/>
            <h3 class=" text-center mb-0">Please come back later</h3>
            <br/>
        </div>
        <div class="row justify-content-center">

            <div th:unless="${currentUser.isOrganizer() and openContests == null}"
                 class="col-md-6 col-lg-3 mb-5"
                 th:each="contest : ${openContests}">
                <div class="img-frame" style="margin-bottom: 10px">
                    <a th:href="@{/contests/{id}(id=${contest.getId()})}">
                        <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                             data-bs-target="#portfolioModal1">
                            <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">
                                <div class="portfolio-item-caption-content text-center text-white">
                                    <i th:text="*{contest.title}"></i>
                                    <br/>
                                    <p class="demo" th:if="${contest.getTimeLimit()} != null"
                                       th:attr="data-endtime=${contest.getTimeLimit()}"></p>
                                    <p th:unless="${contest.getTimeLimit()} != null"></p>
                                </div>
                            </div>
                            <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                                 alt="..."/>
                        </div>
                    </a>
                </div>
                <i th:text="*{contest.phase.phase}"></i>
                <a th:href="@{/contests/{id}/delete(id=${contest.getId()})}"
                   th:if="${currentUser.isOrganizer()}"
                   method="post">
                    <button class="btn btn-cancel" type="submit">
                        <i class="fas fa-trash"></i>
                    </button>
                </a>
                <a th:href="@{/contests/{id}/update(id=${contest.id})}">
                    <button th:if="${isOrganizer}" class="btn btn-cancel" type="button">
                        <i class="fas fa-pen-alt"></i>
                    </button>
                </a>

            </div>
        </div>
        <hr class="my-4"/>

        <!--        Contests Where User participate-->
        <div class="container" th:unless="${currentUser.isOrganizer()}">
            <!-- Portfolio Section Heading-->
            <h2 class=" text-center text-uppercase text-secondary mb-0">Your Contests</h2>
            <div class="divider-custom">
                <div class="divider-custom-line"></div>
                <div class="divider-custom-icon"><i class="fas fa-star"></i></div>
                <div class="divider-custom-line"></div>
            </div>
        </div>
        <div class="row justify-content-center">
            <div th:if="${currentUser.getContests().isEmpty()}">
                <br/>
                <h2 class=" text-center text-uppercase text-secondary mb-0">No Contests Here Yet</h2>
                <br/>
                <h3 class=" text-center mb-0">Try to join a contest to fill this section</h3>
                <br/>
            </div>
            <div th:unless="${currentUser.isOrganizer() and currentUser.getContests().isEmpty()}"
                 class="col-md-6 col-lg-3 mb-5"
                 th:each="contest : ${currentUser.getContests()}">
                <div class="img-frame" style="margin-bottom: 10px">
                    <a th:href="@{/contests/{id}(id=${contest.getId()})}">
                        <div class="portfolio-item mx-auto border-radius-0" data-bs-toggle="modal"
                             data-bs-target="#portfolioModal1">
                            <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">
                                <div class="portfolio-item-caption-content text-center text-white">
                                    <i th:text="*{contest.title}"></i>
                                    <br/>
                                    <p class="demo" th:if="${contest.getTimeLimit()} != null"
                                       th:attr="data-endtime=${contest.getTimeLimit()}"></p>
                                    <p th:unless="${contest.getTimeLimit()} != null"></p>
                                </div>
                            </div>
                            <img class="img-fluid border-radius-0" th:src="@{${'/img/' + contest.photo.fileName}}"
                                 alt="..."/>
                        </div>
                    </a>
                </div>
                <i th:text="*{contest.phase.phase}"></i>
            </div>

<!--Трябва ли ни това?-->
<!--            <div class="container" th:unless="${currentUser.isOrganizer() && currentUser.getJury().isEmpty()}">-->
<!--                <h2 th:unless="${currentUser.getJury().isEmpty()}"-->
<!--                    class=" text-center text-uppercase text-secondary mb-0">You Rate:</h2>-->
<!--                <div th:unless="${currentUser.getJury().isEmpty()}" class="divider-custom">-->
<!--                    <div class="divider-custom-line"></div>-->
<!--                    <div class="divider-custom-icon"><i class="fas fa-star"></i></div>-->
<!--                    <div class="divider-custom-line"></div>-->
<!--                </div>-->
<!--                <div class="row justify-content-center">-->
<!--                    <div th:unless="${currentUser.isOrganizer() and currentUser.getJury().isEmpty()}"-->
<!--                         class="col-md-6 col-lg-4 mb-5"-->
<!--                         th:each="contest : ${currentUser.getJury()}">-->
<!--                        <a th:href="@{/contests/{id}(id=${contest.getId()})}">-->
<!--                            <div class="portfolio-item mx-auto" data-bs-toggle="modal"-->
<!--                                 data-bs-target="#portfolioModal1">-->
<!--                                <div class="portfolio-item-caption d-flex align-items-center justify-content-center h-100 w-100">-->
<!--                                    <div class="portfolio-item-caption-content text-center text-white">-->
<!--                                        <i th:text="*{contest.title}"></i>-->
<!--                                        <br/>-->
<!--                                        <p class="demo" th:if="${contest.getTimeLimit()} != null"-->
<!--                                           th:attr="data-endtime=${contest.getTimeLimit()}"></p>-->
<!--                                        <p th:unless="${contest.getTimeLimit()} != null"></p>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                                <img class="img-fluid" th:src="@{${'/img/' + contest.photo.fileName}}" alt="..."/>-->
<!--                            </div>-->
<!--                        </a>-->
<!--                        <i th:text="*{contest.phase.phase}"></i>-->
<!--                    </div>-->
<!--                </div>-->
<!--            </div>-->
<!--        </div>-->
    </section>
</section>
<!-- Bootstrap core JS-->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
<!-- Core theme JS-->

<script src="https://cdn.startbootstrap.com/sb-forms-latest.js"></script>
</body>
</html>